"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generate = exports.convertAstToTypeScriptCode = exports.Factory = void 0;
const typescript_1 = __importDefault(require("typescript"));
const Exception_1 = require("../Exception");
const Factory = __importStar(require("./factory"));
exports.Factory = Factory;
const traverse_1 = require("./traverse");
const convertAstToTypeScriptCode = (sourceFile) => {
    const printer = typescript_1.default.createPrinter(); // AST -> TypeScriptに変換
    return printer.printFile(sourceFile);
};
exports.convertAstToTypeScriptCode = convertAstToTypeScriptCode;
const generate = (createFunction) => {
    const source = typescript_1.default.createSourceFile("", "", typescript_1.default.ScriptTarget.ESNext);
    const transformers = [traverse_1.traverse(createFunction)];
    const result = typescript_1.default.transform(source, transformers);
    result.dispose();
    if (result.transformed.length > 1) {
        throw new Exception_1.DevelopmentError("1個以上あるよ");
    }
    return exports.convertAstToTypeScriptCode(result.transformed[0]);
};
exports.generate = generate;
//# sourceMappingURL=index.js.map