"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createDefaultState = exports.createDefaultOperationState = void 0;
const createDefaultOperationState = (httpMethod, requestUri, state) => {
    return {
        httpMethod: httpMethod,
        requestUri: requestUri,
        parameterName: state.parameterName,
        requestBodyName: state.parameterName,
    };
};
exports.createDefaultOperationState = createDefaultOperationState;
const createDefaultState = (rootDocument) => ({
    document: rootDocument,
    components: {},
    paths: {},
    additionalStatements: [],
    operations: {},
});
exports.createDefaultState = createDefaultState;
//# sourceMappingURL=State.js.map