import ts from "typescript";
export interface Params$Create {
    typeParameters: readonly ts.TypeParameterDeclaration[] | undefined;
    parameters: readonly ts.ParameterDeclaration[];
    type: ts.TypeNode;
}
export interface Factory {
    create: (params: Params$Create) => ts.FunctionTypeNode;
}
export declare const create: ({ factory }: ts.TransformationContext) => Factory["create"];
export declare const make: (context: ts.TransformationContext) => Factory;
