import ts from "typescript";
export interface Params {
    text: string;
    isSingleQuote?: boolean;
}
export interface Factory {
    create: (params: Params) => ts.StringLiteral;
}
export declare const create: ({ factory }: ts.TransformationContext) => Factory["create"];
export declare const make: (context: ts.TransformationContext) => Factory;
