import ts from "typescript";
export interface Params {
    name: string | ts.BindingName;
    type?: ts.TypeNode;
    initializer?: ts.Expression;
}
export interface Factory {
    create: (params: Params) => ts.VariableDeclaration;
}
export declare const create: ({ factory }: ts.TransformationContext) => Factory["create"];
export declare const make: (context: ts.TransformationContext) => Factory;
