import ts from "typescript";
import { Factory } from "../../../CodeGenerator";
import { Store } from "../store";
import * as ToTypeNode from "../toTypeNode";
import { OpenApi } from "../types";
export declare const generateNamespace: (entryPoint: string, currentPoint: string, store: Store.Type, factory: Factory.Type, parentPath: string, name: string, operation: OpenApi.Operation, context: ToTypeNode.Context) => void;
export declare const generateStatements: (entryPoint: string, currentPoint: string, store: Store.Type, factory: Factory.Type, requestUri: string, httpMethod: string, operation: OpenApi.Operation, context: ToTypeNode.Context) => ts.Statement[];
