import ts from "typescript";
import { Factory } from "../../../CodeGenerator";
import { Store } from "../store";
import * as ToTypeNode from "../toTypeNode";
import { OpenApi } from "../types";
export declare const generateNamespace: (entryPoint: string, currentPoint: string, store: Store.Type, factory: Factory.Type, parentPath: string, name: string, pathItem: OpenApi.PathItem, context: ToTypeNode.Context, options?: {
    topComment?: string | undefined;
} | undefined) => void;
export declare const generateStatements: (entryPoint: string, currentPoint: string, store: Store.Type, factory: Factory.Type, requestUri: string, pathItem: OpenApi.PathItem, context: ToTypeNode.Context) => ts.Statement[];
