import ts from "typescript";
export interface Params {
    name: string;
    initializer: ts.Expression;
}
export interface Factory {
    create: (params: Params) => ts.PropertyAssignment;
}
export declare const create: ({ factory }: ts.TransformationContext) => Factory["create"];
export declare const make: (context: ts.TransformationContext) => Factory;
