import ts from "typescript";
export interface Params$Create {
    name: string;
    constraint?: ts.TypeNode;
}
export interface Factory {
    create: (params: Params$Create) => ts.TypeParameterDeclaration;
}
export declare const create: ({ factory }: ts.TransformationContext) => Factory["create"];
export declare const make: (context: ts.TransformationContext) => Factory;
