import ts from "typescript";
import * as Factory from "./factory";
import { CreateFunction } from "./traverse";
export { CreateFunction, Factory };
export declare type TransformerFactory<T extends ts.Node> = ts.TransformerFactory<T>;
export declare const convertAstToTypeScriptCode: (sourceFile: ts.SourceFile) => string;
export declare const generate: (createFunction: CreateFunction) => string;
