import ts from "typescript";
import { Factory } from "../../../CodeGenerator";
import * as ToTypeNode from "../toTypeNode";
import { OpenApi } from "../types";
import * as Reference from "./Reference";
export declare const generateTypeNode: (entryPoint: string, currentPoint: string, factory: Factory.Type, name: string, header: OpenApi.Header, context: ToTypeNode.Context) => ts.TypeAliasDeclaration;
export declare const generatePropertySignature: (entryPoint: string, currentPoint: string, factory: Factory.Type, name: string, header: OpenApi.Header | OpenApi.Reference, context: ToTypeNode.Context) => ts.PropertySignature;
export declare const generatePropertySignatures: (entryPoint: string, currentPoint: string, factory: Factory.Type, headers: OpenApi.MapLike<string, OpenApi.Header | OpenApi.Reference>, context: ToTypeNode.Context) => ts.PropertySignature[];
export declare const generateInterface: (entryPoint: string, currentPoint: string, factory: Factory.Type, name: string, headers: OpenApi.MapLike<string, OpenApi.Header | OpenApi.Reference>, context: ToTypeNode.Context) => ts.InterfaceDeclaration;
