import * as Converter from "./Converter";
import * as Validator from "./Validator";
export { Converter };
export interface Params {
    version: "v3";
    entryPoint: string;
    option?: Partial<Converter.v3.Option>;
    /** default: true */
    enableValidate?: boolean;
    log?: {
        validator?: Validator.v3.LogOption;
    };
}
export declare const generateTypeScriptCode: ({ version, entryPoint, option, enableValidate, log }: Params) => string;
